commit 4fc8d0d371a88bd51ce00cb428f9a0797e0be19e
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Aug 20 02:26:35 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index cfd590519fb..78e84775513 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250819
+20250820
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 70fc79d66e1..6bc92b62b63 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2025-08-19  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-08-19  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/108080
+	PR c++/121396
+	* g++.dg/modules/pr108080.H: Also allow target warnings.
+
 2025-08-18  Richard Sandiford  <richard.sandiford@arm.com>
 
 	PR target/121118
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index caf4d288881..3f464ccdc81 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,25 @@
+2025-08-19  Tomasz Kamiński  <tkaminsk@redhat.com>
+
+	Backported from master:
+	2025-08-18  Tomasz Kamiński  <tkaminsk@redhat.com>
+
+	PR libstdc++/121313
+	* include/bits/vector.tcc (vector::insert_range): Add check for
+	empty size.
+	* testsuite/23_containers/vector/modifiers/insert/insert_range.cc:
+	New tests.
+
+2025-08-19  Tomasz Kamiński  <tkaminsk@redhat.com>
+
+	Backported from master:
+	2025-07-08  Tomasz Kamiński  <tkaminsk@redhat.com>
+
+	PR libstdc++/119861
+	* include/std/format (formatter<_Rg, _CharT>::set_separator)
+	(formatter<_Rg, _CharT>::set_brackets): Constrain with
+	(format_kind<_Rg> == range_format::sequence).
+	* testsuite/std/format/ranges/pr119861_neg.cc: New test.
+
 2025-08-08  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:

